package com.ruoyi.sapCustomer.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客户管理对象 sap_customer
 *
 * @author ruoyi
 * @date 2024-03-11
 */
public class SapCustomer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long customerId;

    /** 编码 */
    @Excel(name = "编码")
    private String customerKunnr;

    /** 名称1 */
    @Excel(name = "名称1")
    private String customerName1;

    /** 名称2 */
    @Excel(name = "名称2")
    private String customerName2;

    private String customerName;

    /** 是否停用 */
    @Excel(name = "是否停用")
    private String customerState;

    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setCustomerKunnr(String customerKunnr)
    {
        this.customerKunnr = customerKunnr;
    }

    public String getCustomerKunnr()
    {
        return customerKunnr;
    }
    public void setCustomerName1(String customerName1)
    {
        this.customerName1 = customerName1;
    }

    public String getCustomerName1()
    {
        return customerName1;
    }
    public void setCustomerName2(String customerName2)
    {
        this.customerName2 = customerName2;
    }

    public String getCustomerName2()
    {
        return customerName2;
    }
    public void setCustomerState(String customerState)
    {
        this.customerState = customerState;
    }

    public String getCustomerState()
    {
        return customerState;
    }
    public String getCustomerName() {return customerName;}

    public void setCustomerName(String customerName) {this.customerName = customerName;}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("customerId", getCustomerId())
            .append("customerKunnr", getCustomerKunnr())
            .append("customerName1", getCustomerName1())
            .append("customerName2", getCustomerName2())
            .append("customerState", getCustomerState())
            .toString();
    }
}
